Loading...
Searching...
No Matches
AVCodecParser Struct Reference
libavcodec » Decoding » Frame parsing

`#include <libavcodec/avcodec.h>`

## Data Fields

int | codec_ids [7]
int | priv_data_size
int(* | parser_init )(AVCodecParserContext *s)
int(* | parser_parse )(AVCodecParserContext *s, AVCodecContext *avctx, const uint8_t **poutbuf, int *poutbuf_size, const uint8_t *buf, int buf_size)
void(* | parser_close )(AVCodecParserContext *s)
int(* | split )(AVCodecContext *avctx, const uint8_t *buf, int buf_size)

## Detailed Description

Definition at line 2726 of file avcodec.h.

## Field Documentation

## codec_ids

int AVCodecParser::codec_ids[7]

Definition at line 2727 of file avcodec.h.

## priv_data_size

int AVCodecParser::priv_data_size

Definition at line 2728 of file avcodec.h.

## parser_init

int(* AVCodecParser::parser_init) (AVCodecParserContext *s)

Definition at line 2729 of file avcodec.h.

## parser_parse

int(* AVCodecParser::parser_parse) (AVCodecParserContext *s, AVCodecContext *avctx, const uint8_t **poutbuf, int *poutbuf_size, const uint8_t *buf, int buf_size)

Definition at line 2732 of file avcodec.h.

## parser_close

void(* AVCodecParser::parser_close) (AVCodecParserContext *s)

Definition at line 2736 of file avcodec.h.

## split

int(* AVCodecParser::split) (AVCodecContext *avctx, const uint8_t *buf, int buf_size)

Definition at line 2737 of file avcodec.h.

The documentation for this struct was generated from the following file:

- libavcodec/avcodec.h